Bug 140080 - Strange Evolution/Xorg Combination
Strange Evolution/Xorg Combination
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 12:12 EST by Miguel Pereira Leite
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 23:36:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miguel Pereira Leite 2004-11-19 12:12:54 EST
Description of problem:

I'm some kind of newbie, but..

I've FC3 final full updated

My xorg is in cinerama mode:
------
Section "ServerLayout"
        Identifier     "Multihead layout"
        Screen      0  "Screen0" LeftOf "Screen1"
        Screen      1  "Screen1" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        Option      "Xinerama" "on"
        Option      "Clone" "off"
EndSection
-------

my graphics cards are 1 Nvidia TNT 2 and 1 Sis 315 (ok, they are ugly,
but i work mostly with text)

Everything works fine. But when i'm in Evolution and try to reply an e-
mail or to write a new mail, the X server goes full speed and "heats"
all available CPU and the machine gets freezed for some time (neraly a
minute or so). This appens the first time after a boot/reboot. After
that it takes less time.

Normaly a "random" (it's realy random - i've seen spamd,
evolution-alarm, etc ) crash (messages log) with an info of "Nov 19
16:35:34 douro kernel: Out of Memory: Killed process 3275
(evolution-alarm)"

Did anyone seen this before? what can i do to help you understand what
is going on?

Version-Release number of selected component (if applicable):

xorg-x11-6.8.1-12.FC3.1 / evolution-2.0.2-3


How reproducible:


Steps to Reproduce:
1. Boot/reboot
2. Open Evolution
3. Select a message and try to reply/forward
  
Actual results:

Machine freeze +/- a minute. a random process crashs

Expected results:

open a reply/forward message almost instantaniously

Additional info:
Comment 1 Miguel Pereira Leite 2004-11-19 12:16:49 EST
messages log: ( of one of the times) (since select reply/forward)
--------------------
Nov 19 16:32:02 douro kernel: oom-killer: gfp_mask=0x1d2
Nov 19 16:32:02 douro kernel: DMA per-cpu:
Nov 19 16:32:02 douro kernel: cpu 0 hot: low 2, high 6, batch 1
Nov 19 16:32:02 douro kernel: cpu 0 cold: low 0, high 2, batch 1
Nov 19 16:32:02 douro kernel: Normal per-cpu:
Nov 19 16:32:02 douro kernel: cpu 0 hot: low 32, high 96, batch 16
Nov 19 16:32:02 douro kernel: cpu 0 cold: low 0, high 32, batch 16
Nov 19 16:32:02 douro kernel: HighMem per-cpu: empty
Nov 19 16:32:02 douro kernel:
Nov 19 16:32:02 douro kernel: Free pages:        1448kB (0kB HighMem)
Nov 19 16:32:02 douro kernel: Active:1421 inactive:114900 dirty:0
writeback:1142 49 unstable:0 free:362 slab:10110 mapped:2348
pagetables:914
Nov 19 16:32:02 douro kernel: DMA free:40kB min:20kB low:40kB
high:60kB active:0 kB inactive:11144kB present:16384kB
Nov 19 16:32:02 douro kernel: protections[]: 0 0 0
Nov 19 16:32:04 douro kernel: Normal free:1408kB min:700kB low:1400kB
high:2100k B active:5684kB inactive:448456kB present:507840kB
Nov 19 16:32:13 douro kernel: protections[]: 0 0 0
Nov 19 16:32:13 douro kernel: HighMem free:0kB min:128kB low:256kB
high:384kB ac tive:0kB inactive:0kB present:0kB
Nov 19 16:32:24 douro kernel: protections[]: 0 0 0
Nov 19 16:32:25 douro kernel: DMA: 6*4kB 2*8kB 0*16kB 0*32kB 0*64kB
0*128kB 0*25 6kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 40kB
Nov 19 16:32:25 douro kernel: Normal: 26*4kB 31*8kB 16*16kB 5*32kB
0*64kB 1*128k B 0*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 1408kB
Nov 19 16:32:25 douro kernel: HighMem: empty
Nov 19 16:33:09 douro kernel: Swap cache: add 151792, delete 37075,
find 4385/44 86, race 0+0
Nov 19 16:33:38 douro kernel: Out of Memory: Killed process 11897
(evolution).
Nov 19 16:34:15 douro kernel: oom-killer: gfp_mask=0x1d2
Nov 19 16:34:15 douro kernel: DMA per-cpu:
Nov 19 16:34:15 douro kernel: cpu 0 hot: low 2, high 6, batch 1
Nov 19 16:34:15 douro kernel: cpu 0 cold: low 0, high 2, batch 1
Nov 19 16:34:15 douro kernel: Normal per-cpu:
Nov 19 16:34:15 douro kernel: cpu 0 hot: low 32, high 96, batch 16
Nov 19 16:34:15 douro kernel: cpu 0 cold: low 0, high 32, batch 16
Nov 19 16:34:20 douro kernel: HighMem per-cpu: empty
Nov 19 16:34:21 douro kernel:
Nov 19 16:34:50 douro kernel: Free pages:        1052kB (0kB HighMem)
Nov 19 16:35:21 douro kernel: Active:454 inactive:115922 dirty:0
writeback:11455 0 unstable:0 free:263 slab:10091 mapped:12628
pagetables:874
Nov 19 16:35:21 douro kernel: DMA free:20kB min:20kB low:40kB
high:60kB active:0 kB inactive:11164kB present:16384kB
Nov 19 16:35:22 douro kernel: protections[]: 0 0 0
Nov 19 16:35:23 douro kernel: Normal free:1032kB min:700kB low:1400kB
high:2100k B active:1816kB inactive:452524kB present:507840kB
Nov 19 16:35:23 douro kernel: protections[]: 0 0 0
Nov 19 16:35:23 douro kernel: HighMem free:0kB min:128kB low:256kB
high:384kB ac tive:0kB inactive:0kB present:0kB
Nov 19 16:35:24 douro kernel: protections[]: 0 0 0
Nov 19 16:35:24 douro kernel: DMA: 1*4kB 2*8kB 0*16kB 0*32kB 0*64kB
0*128kB 0*25 6kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 20kB
Nov 19 16:35:24 douro kernel: Normal: 60*4kB 11*8kB 4*16kB 0*32kB
0*64kB 1*128kB  0*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 1032kB
Nov 19 16:35:24 douro kernel: HighMem: empty
Nov 19 16:35:24 douro kernel: Swap cache: add 156639, delete 41623,
find 16012/1 6573, race 0+0
Nov 19 16:35:24 douro kernel: Out of Memory: Killed process 3268
(evolution-data -).
Nov 19 16:35:25 douro kernel: oom-killer: gfp_mask=0x1d2
Nov 19 16:35:25 douro kernel: DMA per-cpu:
Nov 19 16:35:25 douro kernel: cpu 0 hot: low 2, high 6, batch 1
Nov 19 16:35:25 douro kernel: cpu 0 cold: low 0, high 2, batch 1
Nov 19 16:35:25 douro kernel: Normal per-cpu:
Nov 19 16:35:25 douro kernel: cpu 0 hot: low 32, high 96, batch 16
Nov 19 16:35:26 douro kernel: cpu 0 cold: low 0, high 32, batch 16
Nov 19 16:35:26 douro kernel: HighMem per-cpu: empty
Nov 19 16:35:26 douro kernel:
Nov 19 16:35:26 douro kernel: Free pages:         668kB (0kB HighMem)
Nov 19 16:35:26 douro kernel: Active:1762 inactive:114897 dirty:0
writeback:1143 00 unstable:0 free:167 slab:10085 mapped:12615
pagetables:855
Nov 19 16:35:27 douro kernel: DMA free:20kB min:20kB low:40kB
high:60kB active:0 kB inactive:11164kB present:16384kB
Nov 19 16:35:27 douro kernel: protections[]: 0 0 0
Nov 19 16:35:27 douro kernel: Normal free:648kB min:700kB low:1400kB
high:2100kB  active:7048kB inactive:448424kB present:507840kB
Nov 19 16:35:27 douro kernel: protections[]: 0 0 0
Nov 19 16:35:27 douro kernel: HighMem free:0kB min:128kB low:256kB
high:384kB ac tive:0kB inactive:0kB present:0kB
Nov 19 16:35:28 douro kernel: protections[]: 0 0 0
Nov 19 16:35:28 douro kernel: DMA: 1*4kB 2*8kB 0*16kB 0*32kB 0*64kB
0*128kB 0*25 6kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 20kB
Nov 19 16:35:28 douro kernel: Normal: 0*4kB 1*8kB 0*16kB 0*32kB 0*64kB
1*128kB 0 *256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 648kB
Nov 19 16:35:28 douro kernel: HighMem: empty
Nov 19 16:35:28 douro kernel: Swap cache: add 156653, delete 41886,
find 16033/1 6600, race 0+0
Nov 19 16:35:29 douro kernel: Out of Memory: Killed process 3229
(rhn-applet-gui ).
Nov 19 16:35:29 douro kernel: oom-killer: gfp_mask=0x1d2
Nov 19 16:35:29 douro kernel: DMA per-cpu:
Nov 19 16:35:29 douro kernel: cpu 0 hot: low 2, high 6, batch 1
Nov 19 16:35:29 douro kernel: cpu 0 cold: low 0, high 2, batch 1
Nov 19 16:35:30 douro kernel: Normal per-cpu:
Nov 19 16:35:30 douro kernel: cpu 0 hot: low 32, high 96, batch 16
Nov 19 16:35:30 douro kernel: cpu 0 cold: low 0, high 32, batch 16
Nov 19 16:35:31 douro kernel: HighMem per-cpu: empty
Nov 19 16:35:31 douro kernel:
Nov 19 16:35:31 douro kernel: Free pages:         988kB (0kB HighMem)
Nov 19 16:35:31 douro kernel: Active:1433 inactive:115127 dirty:0
writeback:1145 98 unstable:0 free:247 slab:10057 mapped:13024
pagetables:835
Nov 19 16:35:32 douro kernel: DMA free:20kB min:20kB low:40kB
high:60kB active:0 kB inactive:11164kB present:16384kB
Nov 19 16:35:32 douro kernel: protections[]: 0 0 0
Nov 19 16:35:32 douro kernel: Normal free:968kB min:700kB low:1400kB
high:2100kB  active:5732kB inactive:449344kB present:507840kB
Nov 19 16:35:33 douro kernel: protections[]: 0 0 0
Nov 19 16:35:33 douro kernel: HighMem free:0kB min:128kB low:256kB
high:384kB ac tive:0kB inactive:0kB present:0kB
Nov 19 16:35:33 douro kernel: protections[]: 0 0 0
Nov 19 16:35:33 douro kernel: DMA: 1*4kB 2*8kB 0*16kB 0*32kB 0*64kB
0*128kB 0*25 6kB 0*512kB 0*1024kB 0*2048kB 0*4096kB = 20kB
Nov 19 16:35:33 douro kernel: Normal: 48*4kB 9*8kB 2*16kB 1*32kB
0*64kB 1*128kB 0*256kB 1*512kB 0*1024kB 0*2048kB 0*4096kB = 968kB
Nov 19 16:35:34 douro kernel: HighMem: empty
Nov 19 16:35:34 douro kernel: Swap cache: add 157313, delete 42249,
find 16902/1 7528, race 0+0
Nov 19 16:35:34 douro kernel: Out of Memory: Killed process 3275
(evolution-alarm).
------------------------------------------


xorg.conf: ( excluded commented parts..)
-------------------------------
more /etc/X11/xorg.conf
# Xorg configuration created by system-config-display

Section "ServerLayout"
        Identifier     "Multihead layout"
        Screen      0  "Screen0" LeftOf "Screen1"
        Screen      1  "Screen1" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        Option      "Xinerama" "on"
        Option      "Clone" "off"
EndSection

Section "Files"

# the X server to render fonts.
        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"

        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "pt"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "SyncMaster"
        DisplaySize  320        240
        HorizSync    30.0 - 71.0
        VertRefresh  50.0 - 160.0
        Option      "dpms"
EndSection

Section "Monitor"
        Identifier   "Monitor1"
        VendorName   "Monitor Vendor"
        ModelName    "Samsung Samtron 75(M)E (Plus)"
        HorizSync    30.0 - 70.0
        VertRefresh  50.0 - 160.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "Videocard vendor"
        BoardName   "RIVA TNT2"
EndSection

Section "Device"
        Identifier  "Videocard1"
        Driver      "sis"
        VendorName  "SiS"
        BoardName   "SiS 315PRO"
        BusID       "PCI:0:15:0"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x1024" "1152x864" "1024x768" "800x600"
"640x480"
        EndSubSection
EndSection

Section "Screen"
        Identifier "Screen1"
        Device     "Videocard1"
        Monitor    "Monitor1"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x1024" "1152x864"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection

Xorg.log --> nothing strange

uname -a:
Linux douro.XXXXXX.XX 2.6.9-1.678_FC3 #1 Mon Nov 15 18:28:07 EST 2004
i686 athlon i386 GNU/Linux

Evolution:
evolution-2.0.2-3

Xorg:
xorg-x11-6.8.1-12.FC3.1

E-mail account type:
Imap4
Comment 2 Mike A. Harris 2004-12-07 03:59:33 EST
I dont see anything in the bug that points to this being an
X.org issue.  You're starting up evolution, and then it seems
evolution is doing something which causes it to use a lot
of memory.  I've seen evolution do these types of things before,
to the point where I can't even use the application.  Sometimes
when starting it up, it opens up 200 windows all at once with
alarm notifications.

If you look in your kernel log, the kernel's OOM killer first
kills evolution, then kills' evolution's helpers, which
additionally points to this being an evolution bug causing
the system to go OOM and invoke the kernel's grim reaper.

I'd suggest running "strace -f evolution" to start evo, and
redirect the output to a file.

Reassigning to evolution component.
Comment 3 Dave Malcolm 2004-12-07 18:29:06 EST
Does the problem only occur when you try to write a new email or a
reply?  Does evolution work fine for other uses (e.g. viewing emails)?
 What about the other components? (addressbook, calendar, tasks)?
Comment 5 John Thacker 2006-10-30 23:36:02 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.